
Robotics Systems Commons - Feature #2047
Provide deprecated macro for static methods
10/08/2014 01:00 PM - Anonymous

Status: Rejected Start date: 10/08/2014
Priority: Low Due date:
Assignee: J. Wienke % Done: 0%
Category: Util Estimated time: 0.00 hour
Target version:
Description

Provide a DEPRECATED macro for static methods and the according test. The current deprecated macros does not seem to work
with static methods. I tried:

DEPRECATED_MSG(FooPtr Foo::bar(int baz), "deprecation");
FooPtr Foo::bar(int baz) {
}

resulting in
error: declaration of ‘static FooPtr Foo::bar(int)’ outside of class is not definition

as well as

DEPRECATED(FooPtr Foo::bar(int baz)) {
}

resulting in
error: attributes are not allowed on a function-definition

History
#1 - 10/23/2014 02:25 PM - J. Wienke

You need to use this in the header, probably. Did you try that?

#2 - 11/12/2014 02:58 PM - J. Wienke

ping ;)

#3 - 11/13/2014 05:18 PM - Anonymous

I'm not sure, I have to test this.

#4 - 07/06/2016 02:40 PM - J. Wienke
- Status changed from New to Rejected

I suspect this works until a counter example.
